Upgrading from Leopard to Snow Leopard – for XCode and Monotouch

I just thought it was worthwhile documenting the upgrade process I had to go through upgrading my mac from Leopard to Snow Leopard, as it was a bit of a pain.

My starting point was:

Leopard
Monotouch 1.0
MonoDevelop 2.4
iPhone SDK 3.0.1

How I upgraded:

SnowLeopard Upgrade
SDK for Leopard 3.1.2 –  Note: I tried Monotouch at this point and it failed so then embarked on the following:
MonoFramework 
MonoDevelop 2.2 (beta)
MonoTouch 1.1
Then Discovered 3.1.2 was avail
SDK for Leopard 3.1.2 (Note for young players encountered some problems because the simulator was running and was kept stopping the install – closed he simulator and all fixed)

Then all worked fine!!!!

Hope this helps
Dom

Advertisements

What do you need to use Monotouch

Ok Its pretty simple at the time of the post what you need to develop in monotouch:
Intel based mac
Leopard or Snow Leopard OS
Iphone SDK  and MonoSDK
MonoDevelop
MonoTouch (Non-commercial version is free but you can’t deploy to iphone devices just simulator)

Cheers
Dom